# Module ra_directory

- Function Index
- Function Details

## Function Index

init/1 |
init/2 |
deinit/1 |
register_name/6 |
unregister_name/2 |
where_is/2 |
where_is_parent/2 |
name_of/2 |
cluster_name_of/2 |
pid_of/2 |
uid_of/2 |
overview/1 |
list_registered/1 |

## Function Details

### init/1

    init(System :: atom()) -> ok | {error, system_not_started}

### init/2

    init(Dir :: file:filename(), X2 :: ra_system:names()) -> ok

### deinit/1

    deinit(System :: atom() | ra_system:names()) -> ok

### register_name/6

    register_name(System :: ra_system:names() | atom(),
                  UId :: ra_uid(),
                  Pid :: pid(),
                  ParentPid :: maybe(pid()),
                  ServerName :: atom(),
                  ClusterName :: ra_cluster_name()) ->
                     ok

### unregister_name/2

    unregister_name(System :: atom() | ra_system:names(),
                    UId :: ra_uid()) ->
                       ra_uid()

### where_is/2

    where_is(System :: atom() | ra_system:names(),
             ServerName :: ra_uid() | atom()) ->
                pid() | undefined

### where_is_parent/2

    where_is_parent(System :: atom() | ra_system:names(),
                    ServerName :: ra_uid() | atom()) ->
                       pid() | undefined

### name_of/2

    name_of(SystemOrNames :: atom() | ra_system:names(),
            UId :: ra_uid()) ->
               maybe(atom())

### cluster_name_of/2

    cluster_name_of(SystemOrNames :: ra_system:names() | atom(),
                    UId :: ra_uid()) ->
                       maybe(ra_cluster_name())

### pid_of/2

    pid_of(SystemOrNames :: atom() | ra_system:names(),
           UId :: ra_uid()) ->
              maybe(pid())

### uid_of/2

`uid_of(System, ServerName) -> any()`

### overview/1

`overview(System) -> any()`

### list_registered/1

    list_registered(System :: atom()) -> [{atom(), ra_uid()}]

Generated by EDoc